Skip to navigation

Retrieve a debit memo item

View as Markdown
Retrieve the details of a specific Debit Memo Item object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the debit memo item.
createdByIdstringOptional
The unique identifier of the user who created the debit memo item.
createdDatedatetimeOptional
The date and time when the debit memo item was created.
updatedByIdstringOptional
The unique identifier of the user who last updated the debit memo item.
updatedDatedatetimeOptional
The date and time when the debit memo item was last updated.
amountdoubleOptional

The amount of the debit memo item. For tax-inclusive debit memo items, the amount indicates the debit memo item amount including tax. For tax-exclusive debit memo items, the amount indicates the debit memo item amount excluding tax.

amountWithoutTaxdoubleOptional
The debit memo item amount excluding tax.
appliedToItemIdstringOptional
The parent debit memo item that this debit memo items is applied to if this item is discount.
appliedToOthersAmountdoubleOptional
beAppliedByOthersAmountdoubleOptional
chargeDatedatetimeOptional

The date when the debit memo item is charged, in yyyy-mm-dd hh:mm:ss format.

creditMemoItemIdstringOptional
excludeItemBillingFromRevenueAccountingbooleanOptional

The flag to exclude the debit memo item from revenue accounting.

Note: This field is only available if you have the Billing - Revenue Integration feature enabled.

descriptionstringOptional
The description of the debit memo item.
itemShipToContactIdstringOptional

The ID of the ship-to contact associated with the debit memo item.

Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.

itemSoldToContactIdstringOptional

The ID of the sold-to contact associated with the debit memo item.

Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.

itemSoldToContactSnapshotIdstringOptional

The ID of the sold-to contact snapshot associated with the debit memo item.

Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null.

processingTypeenumOptional

The type of the charge for the debit memo item.

  • 0: charge - 1: discount
Allowed values:
quantitydoubleOptional
The number of units for the debit memo item.
reflectDiscountInNetAmountbooleanOptionalDefaults to false

When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue.

  • delivery pricing charge
  • prepayment charge
  • drawdown charge

Note the following:

  • If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true.
  • If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges.
  • If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true.
serviceEndDatedateOptional
The end date of the service period associated with this debit memo item. Service ends one second before the date specified in this field.
serviceStartDatedateOptional

The start date of the service period associated with this debit memo item. If the associated charge is a one-time fee, this date is the date of that charge.

skustringOptional
The SKU for the product associated with the debit memo item.
sourceItemTypeenumOptional
The type of the source item.
Allowed values:
chargeNamestringOptional
The name of the charge associated with the debit memo item.
chargeNumberstringOptional
The number of the charge associated with the debit memo item.
taxAmountdoubleOptional
The amount of tax on this debit memo.
taxCodeNamestringOptional
Name of the tax code identifies which tax rules and tax rates to apply to a specific debit memo item.
taxExemptAmountdoubleOptional
The calculated tax amount excluded due to the exemption.
taxModeenumOptional
The tax mode of the debit memo item, indicating whether the amount of the debit memo item includes tax.
Allowed values:
unitOfMeasurestringOptional
The units to measure usage.
unitPricedoubleOptional

The per-unit price of the debit memo item.

subscriptionIdstringOptional
The ID of the subscription associated with the debit memo item.
subscriptionNumberstringOptional
The number of the subscription associated with the debit memo item.
invoiceItemIdstringOptional
The ID of the invoice item associated with the debit memo item.
productRatePlanChargeIdstringOptional
The ID of the product rate plan charge based on which the debit memo item is created.
ratePlanChargeIdstringOptional
The ID of the rate plan charge associated with the debit memo item.
debitMemoIdstringOptional
The ID of the debit memo to which this debit memo item belongs.
balancedoubleOptional
The balance of the debit memo item.
recognizedRevenueAccountingCodeIdstringOptional
The Recognized Revenue accounting code for the debit memo item.
accountReceivableAccountingCodeIdstringOptional
The Account Receivable accounting code for the debit memo item.
deferredRevenueAccountingCodeIdstringOptional
The Deferred Revenue accounting code for the debit memo item.
journalEntryIdstringOptional
The ID of the journal entry that corresponds to this debit memo item.
shipToContactSnapshotIdstringOptional

The ID of the ship-to contact snapshot associated with the debit memo.

soldToContactSnapshotIdstringOptional

The ID of the sold-to contact snapshot associated with the debit memo.

billToContactSnapshotIdstringOptional

The ID of the bill-to contact snapshot associated with the debit memo.

subscriptionobjectOptional
ratePlanChargeobjectOptional
subscriptionOwnerobjectOptional
debitTaxationItemsobjectOptional

Errors

4XX
Client Request Error
500
Internal Server Error